Plesk 9.3 Latest update of openssl breaks Parallels Panel :: Starting Plesk… failed

Latest update of the openssl package from CentOS breaks Parallels Panel 9.x. The following errors are displayed in the /var/log/sw-cp-server/error_log file when Panel is trying to start:

# tail /var/log/sw-cp-server/error_log
2010-04-07 01:56:38: (log.c.75) server started
2010-04-07 01:56:38: (network.c.336) SSL: error:00000000:lib(0):func(0):reason(0)
2010-04-07 01:57:59: (log.c.75) server started
2010-04-07 01:57:59: (network.c.336) SSL: error:00000000:lib(0):func(0):reason(0)
2010-04-07 01:57:59: (log.c.75) server started
2010-04-07 01:57:59: (network.c.336) SSL: error:00000000:lib(0):func(0):reason(0)
2010-04-07 02:13:38: (log.c.75) server started
2010-04-07 02:13:38: (network.c.336) SSL: error:00000000:lib(0):func(0):reason(0)
2010-04-07 02:13:38: (log.c.75) server started
2010-04-07 02:13:38: (network.c.336) SSL: error:00000000:lib(0):func(0):reason(0)

# service psa start
Starting xinetd service... done
Starting named service... done
Starting mysqld service... done
Starting postgresql service... not installed
Starting psa-spamassassin service... done
Plesk: Starting Mail Server... already started
Starting mail handlers tmpfs storage
Starting Plesk... failed
Starting drwebd service... not installed
#

To fix this you need to update Parallels Panel web-engine:

1. Download the appropriate package using the wget utility. Example for CentOS 5 x86:
#wget -c http://kb.parallels.com/Attachments/12669/Attachments/sw-cp-server-1.0-6.201004011105.centos5.i386.rpm

2. Install the downloaded package. Example for CentOS 5 x86:
#rpm -Uhv sw-cp-server-1.0-6.201004011105.centos5.i386.rpm

# rpm -Uhv sw-cp-server-1.0-6.201004011105.centos5.i386.rpm
Preparing... ########################################### [100%]
Stoppping SWsoft control panels server... stale pidfile. [ OK ]
1:sw-cp-server ########################################### [100%]
Starting SWsoft control panels server...[ OK ]

-bash-3.2# service psa start
Starting xinetd service... done
Starting named service... done
Starting mysqld service... done
Starting postgresql service... not installed
Starting psa-spamassassin service... done
Plesk: Starting Mail Server... already started
Starting mail handlers tmpfs storage
Starting Plesk... done
Starting drwebd service... not installed
-bash-3.2#

2 Replies to “Plesk 9.3 Latest update of openssl breaks Parallels Panel :: Starting Plesk… failed”

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.